Registerkarte “Benutzer-DSN”

Mithilfe dieser Registerkarte werden Datenquellen mit Benutzer-Datenquellennamen (DSN) hinzugefügt, gelöscht oder eingerichtet. Diese Datenquellen sind lokal auf einem Computer gespeichert, und nur der aktuelle Benutzer hat Zugriff auf sie.

Steuerelement | Beschreibung
Benutzerdatenquellen | Listet alle Benutzer-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber auf. Durch Doppelklicken auf einen Benutzer-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.
Hinzufügen | Klicken Sie auf diese Schaltfläche, um eine neue Benutzerdatenquelle hinzuzufügen. Wählen Sie im nun geöffneten Dialogfeld Neue Datenquelle erstellen den Treiber, für den Sie eine Benutzerdatenquelle hinzufügen, und klicken Sie auf Fertig stellen; ein treiberspezifisches Dialogfeld zum Einrichten wird geöffnet.
Entfernen | Klicken Sie auf diese Schaltfläche, um eine ausgewählte Benutzerdatenquelle in der Liste Benutzerdatenquellen zu entfernen.
Konfigurieren | Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Benutzerdatenquelle zu ändern. Das treiberspezifische Dialogfeld zum Einrichten der Datenquelle wird angezeigt.
OK | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Um Änderungen in der Liste Benutzerdatenquellen zu übernehmen, ist es nicht notwendig, auf OK zu klicken. Änderungen in der Liste werden übernommen, wenn Sie im Dialogfeld zum Einrichten der Datenquelle auf die Schaltfläche OK klicken.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, werden jedoch nicht rückgängig gemacht.
Hilfe | Zeigt diesen Hilfebildschirm an.


.topic 902
Listet alle Benutzer-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber auf. Durch Doppelklicken auf einen Benutzer-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic 903
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Benutzerdatenquelle zu ändern.

.topic 904
Klicken Sie auf diese Schaltfläche, um eine neue Benutzerdatenquelle hinzuzufügen.

.topic 905
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Benutzerdatenquelle zu entfernen.

.topic 910
Zeigt eine Liste aller System-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber an. Durch Doppelklicken auf einen System-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic 911
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Systemdatenquelle zu ändern.

.topic 912
Klicken Sie auf diese Schaltfläche, um eine neue Systemdatenquelle hinzuzufügen.

.topic 913
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Systemdatenquelle zu entfernen.

.topic 915
Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen Datei-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic 916
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Dateidatenquelle zu ändern.

.topic 917
Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen.

.topic 918
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Dateidatenquelle zu entfernen.

.topic 919
Legt das im Feld Suchen in angegebene Verzeichnis als Standardverzeichnis für die Ausführung des ODBC-Administrators fest.

.topic 920
Zeigt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden.

.topic 921
Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.

.topic 969
Listet alle installierten ODBC-Treiber mit der jeweiligen Timeoutoption für das Verbindungs-Pooling auf. Doppelklicken Sie auf den Namen des ODBC-Treibers, um die Timeoutoption festzulegen.

.topic 965
Der Name, die Version, die Herstellerfirma, der Dateiname und das Erstellungsdatum jedes installierten ODBC-Treibers.

.topic 924
Ermöglicht das Festlegen von Ablaufverfolgungsoptionen für die Anwendung.

.topic 926
Aktiviert die fortlaufende dynamische Ablaufverfolgung, unabhängig davon, ob eine Verbindung besteht; die dynamische Ablaufverfolgung wird so lange durchgeführt, wie das Dialogfeld ODBC-Datenquellen-Administrator angezeigt wird oder bis Sie auf Ablaufverfolgung jetzt anhalten klicken. (Diese Schaltfläche schaltet zwischen Ablaufverfolgung jetzt starten und Ablaufverfolgung jetzt anhalten um.)

.topic 923
Aktiviert Visual Studio Analyzer; dieser bleibt aktiv, bis Sie auf Visual Studio Analyzer anhalten klicken. (Diese Schaltfläche schaltet zwischen Visual Studio Analyzer starten und Visual Studio Analyzer anhalten um.)

.topic 927
Zeigt den Pfad und den Dateinamen für die Speicherung der Ablaufverfolgungsinformationen an. Die Standardprotokolldatei ist sql.log.

.topic 968
Wählen Sie den Pfad und den Dateinamen für die Protokolldatei aus.

.topic 928
Geben Sie den Pfad und den Dateinamen ein, um eine benutzerdefinierte Ablaufverfolgungs-DLL zu verwenden.

.topic 929
Durchsuchen Sie die Verzeichnisstruktur nach einer benutzerdefinierten Ablaufverfolgungs-DLL.

.topic 952
Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.

.topic 953
Gibt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden.

.topic 954
Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.

.topic 955
Zeigt den Datei-DSN an, den Sie entweder aus der Liste der Dateidatenquellen auswählen oder manuell eingeben.

.topic 957
Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen.

.topic 961
Zeigt eine Liste aller Benutzer- und System-DSN mit dem Namen und Typ jedes DSN an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.

.topic 970
Zeigt das Timeout für einen ausgewählten Treiber in Sekunden an.

.topic 974
Legt die Leistungsüberwachung von Verbindungen zum Debuggen fest, was jedoch die Anwendungsleistung beeinträchtigt.

.topic 971
Aktiviert die Leistungsüberwachung für die Verbindung.

.topic 972
Deaktiviert die Leistungsüberwachung für die Verbindung.

.topic 973
Legt die Wartezeit bis zum nächsten Verbindungsversuch in Sekunden fest.

.topic 962
Klicken Sie auf diese Schaltfläche, um eine neue Computerdatenquelle hinzuzufügen.


Registerkarte “Info”

Diese Registerkarte zeigt Informationen zu den ODBC-Kernkomponenten an, einschließlich Treiber-Manager, Cursorbibliothek, Installations-DLL und anderer Dateien, aus denen sich diese Komponenten zusammensetzen.

Steuerelement | Beschreibung
Info zu den ODBC-Komponenten | Die Beschreibung, die Version, der Dateiname und der Speicherort jeder ODBC-Komponente.
OK | Schließt das Dialogfeld ODBC-Datenquellen-Administrator.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, werden jedoch nicht rückgängig gemacht.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Verbindungs-Pooling”

Mit dieser Registerkarte ändern Sie die Wartezeit vor einem Wiederholungsversuch der Verbindungsherstellung und das Timeout für einen ausgewählten Treiber beim Verbindungs-Pooling. Sie können außerdem die Leistungsüberwachung aktivieren und deaktivieren, die verschiedene Verbindungsstatistiken aufzeichnet. Mithilfe des Verbindungs-Poolings kann Ihre Anwendung eine Verbindung aus einem Pool von Verbindungen verwenden, die nicht jedes Mal neu eingerichtet werden müssen. Wenn eine Verbindung erstellt und in einem Pool platziert wurde, können Anwendungen diese Verbindung wieder verwenden, ohne den gesamten Verbindungsvorgang auszuführen. Dadurch verbessert sich das Leistungsverhalten.

Steuerelement | Beschreibung
ODBC-Treiber | Enthält eine Auflistung der Namen jedes installierten ODBC-Treibers mit der jeweiligen Timeoutoption für Verbindungs-Pooling. Doppelklicken Sie auf den Namen des ODBC-Treibers, um die Timeoutoption festzulegen.
Timeout für Verbindungs-Pooling | Legt das Timeout für Verbindungs-Pooling für den ausgewählten Treiber in Sekunden fest. Doppelklicken Sie auf den Treibernamen, um die Attribute für das Verbindungs-Pooling festzulegen. Das Dialogfeld Attribute für das Verbindungs-Pooling festlegen wird nun geöffnet. Sie können festlegen, wie lange unbenutzte Verbindungen im Pool verbleiben, und das Verbindungs-Pooling für den ausgewählten Treiber aktivieren.
Aktivieren | Aktiviert Leistungsindikatoren für die Überwachung des Verbindungs-Poolings. Weitere Informationen zur Leistungsüberwachung finden Sie in der ODBC Programmer's Reference.
Deaktivieren | Deaktiviert Leistungsindikatoren für die Überwachung des Verbindungs-Poolings. Weitere Informationen zur Leistungsüberwachung finden Sie in der ODBC Programmer's Reference.
Warten vor Wiederholung | Legt fest, nach wie vielen Sekunden (weniger als sechs Ziffern) der ODBC-Treiber-Manager erneut versucht, eine Verbindung zu einem Datenbankserver herzustellen.
OK | Akzeptiert Änderungen an Einstellungen zum Verbindungs-Pooling, und schließt das Dialogfeld ODBC-Datenquellen-Administrator.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator, ohne Änderungen an Einstellungen zu übernehmen.
Übernehmen | Akzeptiert Änderungen an Einstellungen zum Verbindungs-Pooling, ohne dass das Dialogfeld ODBC-Datenquellen-Administrator geschlossen wird.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Dateidatenquelle”

Diese Registerkarte ermöglicht die Verbindung mit einer Datenquelle, die Datei-DSN aufweist. Eine auf Dateien basierende Datenquelle ist nicht notwendigerweise einem Benutzer zugewiesen oder lokal auf einem Computer gespeichert, und Benutzer, die gleiche Treiber installiert haben, können sie gemeinsam nutzen.

Steuerelement | Beschreibung
Dateidatenquellen | Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.
Suchen in | Gibt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden. Durch Klicken auf den Pfeil nach unten neben diesem Textfeld wird die gesamte Verzeichnisstruktur angezeigt.
Nach oben | Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.
Name der DSN | Zeigt den Datei-DSN an, den Sie entweder in der Liste der Dateidatenquellen auswählen oder manuell eingeben.
Neu | Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen. Wählen Sie im Dialogfeld Neue Datenquelle erstellen den Treiber, für den Sie ein Datei-DSN hinzufügen, und klicken Sie auf Weiter, um den Namen oder den Speicherort des neuen Datei-DSN anzugeben. Klicken Sie erneut auf Weiter, um eine Zusammenfassung der neuen Informationen anzuzeigen. Klicken Sie auf Fertig stellen, um das treiberspezifische Setup-Dialogfeld anzuzeigen.
OK | Schließt das Dialogfeld Datenquelle auswählen und stellt eine Verbindung zu der in der Liste Name der DSN angegebenen Dateidatenquelle her. Es ist nicht erforderlich, auf OK zu klicken, damit Änderungen in der Liste der Dateidatenquellen übernommen werden. Änderungen in der Liste werden übernommen, wenn Sie im Dialogfeld zum Einrichten der Datenquelle auf die Schaltfläche OK klicken.
Abbrechen | Schließt das Dialogfeld Datenquelle auswählen, ohne eine Verbindung zur Dateidatenquelle herzustellen oder die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, rückgängig zu machen.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Datei-DSN”

Mithilfe dieser Registerkarte werden auf Dateien basierende Datenquellen hinzugefügt, gelöscht oder eingerichtet, die alle Benutzer, die gleiche Treiber installiert haben, gemeinsam nutzen können. Diese Datenquellen müssen keinem Benutzer zugewiesen und nicht lokal auf einem Computer gespeichert sein.

Steuerelement | Beschreibung
Dateidatenquellen | Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen Datei-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.
Hinzufügen | Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen. Wählen Sie im Dialogfeld Neue Datenquelle erstellen den Treiber, für den Sie eine Dateidatenquelle hinzufügen, und klicken Sie auf Weiter, um den Namen oder Speicherort der neuen Dateidatenquelle anzugeben. Klicken Sie erneut auf Weiter, um eine Zusammenfassung der neuen Datenquelleninformationen anzuzeigen. Klicken Sie auf Fertig stellen, um das treiberspezifische Setup-Dialogfeld anzuzeigen.
Entfernen | Entfernt eine ausgewählte Dateidatenquelle. Vor dem Klicken auf die Schaltfläche Entfernen ist es erforderlich, die zu entfernende Dateidatenquelle in der Liste auszuwählen.
Konfigurieren | Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Dateidatenquelle zu ändern. Vor dem Klicken auf die Schaltfläche Konfigurieren ist es erforderlich, Sie in der Liste eine Dateidatenquelle auszuwählen. Das treiberspezifische Dialogfeld zum Einrichten der Datenquelle wird angezeigt.
Festlegen | Legt das im Feld Suchen in angegebene Verzeichnis als Standardverzeichnis für die Ausführung des ODBC-Administrators fest.
Suchen in | Zeigt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden. Durch Klicken auf den Pfeil nach unten neben diesem Textfeld wird die gesamte Verzeichnisstruktur angezeigt. Das Standardverzeichnis, das anfangs angezeigt wird, wenn der ODBC-Administrator zum ersten Mal ausgeführt wird, ist in den Systeminformationen enthalten, kann jedoch mit der Schaltfläche Festlegen geändert werden.
Nach oben | Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.
OK | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Um Änderungen in der Liste der Dateidatenquellen zu übernehmen, ist es nicht notwendig, auf OK zu klicken. Änderungen in der Liste werden übernommen, wenn Sie im Dialogfeld zum Einrichten der Datenquelle auf die Schaltfläche OK klicken.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, werden jedoch nicht rückgängig gemacht.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Computerdatenquelle”

Mit dieser Registerkarte können Sie eine Verbindung zu einer Datenquelle herstellen, die einen Benutzer- oder System-DSN aufweist. Computerdatenquellen sind an einen Computer gebunden, und es kann nicht gemeinsam auf sie zugegriffen werden.

Steuerelement | Beschreibung
Computerdatenquellen | Zeigt eine Liste aller Benutzer- und System-DSN mit dem Namen und Typ jedes DSN an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.
Neu | Klicken Sie auf diese Schaltfläche, um eine neue Computerdatenquelle hinzuzufügen. Wählen Sie im Dialogfeld Neue Datenquelle erstellen den Treiber, für den Sie ein Datei-DSN hinzufügen, und klicken Sie auf Weiter, um den Namen oder den Speicherort des neuen Datei-DSN anzugeben. Klicken Sie erneut auf Weiter, um eine Zusammenfassung der neuen Informationen anzuzeigen. Klicken Sie auf Fertig stellen, um das treiberspezifische Setup-Dialogfeld anzuzeigen.
OK | Schließt das Dialogfeld Datenquelle auswählen und stellt eine Verbindung zur ausgewählten Datenquelle her. Durch Klicken auf OK werden Änderungen in der Liste der Computerdatenquellen nicht übernommen. Änderungen in der Liste werden übernommen, wenn Sie im Dialogfeld zum Einrichten der Datenquelle auf die Schaltfläche OK klicken.
Abbrechen | Schließt das Dialogfeld Datenquelle auswählen, ohne eine Verbindung zur Dateidatenquelle herzustellen oder die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, rückgängig zu machen.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Treiber”

Diese Registerkarte zeigt Informationen über die auf Ihrem Computer installierten ODBC-Treiber an. Mithilfe dieser Registerkarte können keine Aktionen durchgeführt werden. Sie müssen das entsprechende Treiberinstallationsprogramm verwenden, um ODBC-Treiber hinzuzufügen oder zu entfernen.

Steuerelement | Beschreibung
ODBC-Treiber | Listet den Namen, die Version, die Herstellerfirma, den Dateinamen und das Erstellungsdatum jedes ODBC-Treibers auf, der auf dem Computer installiert ist.
OK | Schließt das Dialogfeld ODBC-Datenquellen-Administrator.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator.
Hilfe | Zeigt diesen Hilfebildschirm an.


.topic HIDUserDataSourcesList
Listet alle Benutzer-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber auf. Durch Doppelklicken auf einen Benutzer-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic HIDConfigure1
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Benutzerdatenquelle zu ändern.

.topic HIDAdd1
Klicken Sie auf diese Schaltfläche, um eine neue Benutzerdatenquelle hinzuzufügen.

.topic HIDRemove1
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Benutzerdatenquelle zu entfernen.

.topic HIDSystemDataSourcesList
Zeigt eine Liste aller System-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber an. Durch Doppelklicken auf einen System-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic HIDConfigure2
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Systemdatenquelle zu ändern.

.topic HIDAdd2
Klicken Sie auf diese Schaltfläche, um eine neue Systemdatenquelle hinzuzufügen.

.topic HIDRemove2
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Systemdatenquelle zu entfernen.

.topic HIDFileDataSourcesList
Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen Datei-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.

.topic HIDConfigure3
Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Dateidatenquelle zu ändern.

.topic HIDADD3
Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen.

.topic HIDRemove3
Klicken Sie auf diese Schaltfläche, um eine ausgewählte Dateidatenquelle zu entfernen.

.topic HIDSetDirectory
Legt das im Feld Suchen in angegebene Verzeichnis als Standardverzeichnis für die Ausführung des ODBC-Administrators fest.

.topic HIDLookIn
Zeigt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden.

.topic HIDUp
Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.

.topic HIDODBCDriversList
Listet alle installierten ODBC-Treiber mit der jeweiligen Timeoutoption für das Verbindungs-Pooling auf. Doppelklicken Sie auf den Namen des ODBC-Treibers, um die Timeoutoption festzulegen.

.topic HIDODBCInstalledDriversList
Der Name, die Version, die Herstellerfirma, der Dateiname und das Erstellungsdatum jedes installierten ODBC-Treibers.

.topic HIDWhenToTraceFrame
Ermöglicht das Festlegen von Ablaufverfolgungsoptionen für die Anwendung.

.topic HIDStartTracingNow
Aktiviert die fortlaufende dynamische Ablaufverfolgung, unabhängig davon, ob eine Verbindung besteht; die dynamische Ablaufverfolgung wird so lange durchgeführt, wie das Dialogfeld ODBC-Datenquellen-Administrator angezeigt wird oder bis Sie auf Ablaufverfolgung jetzt anhalten klicken. (Diese Schaltfläche schaltet zwischen Ablaufverfolgung jetzt starten und Ablaufverfolgung jetzt anhalten um.)

.topic HIDStartVisualStudioAnalyzer
Aktiviert Visual Studio Analyzer; dieser bleibt aktiv, bis Sie auf Visual Studio Analyzer anhalten klicken. (Diese Schaltfläche schaltet zwischen Visual Studio Analyzer starten und Visual Studio Analyzer anhalten um.)

.topic HIDLogFilePath
Zeigt den Pfad und den Dateinamen für die Speicherung der Ablaufverfolgungsinformationen an. Die Standardprotokolldatei ist sql.log.

.topic HIDBrowse
Wählen Sie den Pfad und den Dateinamen für die Protokolldatei aus.

.topic HIDCustomTraceDLL
Geben Sie den Pfad und den Dateinamen ein, um eine benutzerdefinierte Ablaufverfolgungs-DLL zu verwenden.

.topic HIDSelectDLL
Durchsuchen Sie die Verzeichnisstruktur nach einer benutzerdefinierten Ablaufverfolgungs-DLL.

.topic HIDFileDataSourcesList2
Zeigt alle Datei-DSN sowie Unterverzeichnisse des im Feld Suchen in angegebenen Verzeichnisses an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.

.topic HIDLookIn2
Gibt das Verzeichnis an, dessen Unterverzeichnisse und Datei-DSN im darunter befindlichen Fenster angezeigt werden.

.topic HIDUp2
Ersetzt das im Feld Suchen in angegebene Verzeichnis durch das übergeordnete Verzeichnis.

.topic HIDDSNName
Zeigt den Datei-DSN an, den Sie entweder aus der Liste der Dateidatenquellen auswählen oder manuell eingeben.

.topic HIDNew2
Klicken Sie auf diese Schaltfläche, um eine neue Dateidatenquelle hinzuzufügen.

.topic HIDMachineDataSourcesList
Zeigt eine Liste aller Benutzer- und System-DSN mit dem Namen und Typ jedes DSN an. Durch Doppelklicken auf einen DSN wird eine Verbindung zur Datenquelle hergestellt.

.topic HIDConnectionPoolingTimeout
Zeigt das Timeout für einen ausgewählten Treiber in Sekunden an.

.topic HIDPerfMon
Legt die Leistungsüberwachung von Verbindungen zum Debuggen fest, was jedoch die Anwendungsleistung beeinträchtigt.

.topic HIDPerfMonEnable
Aktiviert die Leistungsüberwachung für die Verbindung.

.topic HIDPerfMonDisable
Deaktiviert die Leistungsüberwachung für die Verbindung.

.topic HIDRetryWaitTime
Legt die Wartezeit bis zum nächsten Verbindungsversuch in Sekunden fest.

.topic HIDNew4
Klicken Sie auf diese Schaltfläche, um eine neue Computerdatenquelle hinzuzufügen.


Registerkarte “System-DSN”

Mithilfe dieser Registerkarte werden Datenquellen mit System-Datenquellennamen (DSN) hinzugefügt, gelöscht oder eingerichtet. Diese Datenquellen sind lokal auf einem Computer gespeichert, jedoch nicht einem bestimmten Benutzer zugewiesen; jeder Benutzer mit entsprechenden Berechtigungen kann einen System-DSN verwenden.

Steuerelement | Beschreibung
Systemdatenquellen | Zeigt eine Liste aller System-DSN mit dem Namen jedes DSN und dem mit dem DSN verbundenen Treiber an. Durch Doppelklicken auf einen System-DSN wird das treiberspezifische Dialogfeld zum Einrichten der Datenquelle angezeigt.
Hinzufügen | Klicken Sie auf diese Schaltfläche, um eine neue Systemdatenquelle hinzuzufügen. Wählen Sie im nun geöffneten Dialogfeld Neue Datenquelle erstellen den Treiber, für den Sie eine Systemdatenquelle hinzufügen, und klicken Sie auf Fertig stellen; ein treiberspezifisches Dialogfeld zum Einrichten wird geöffnet.
Entfernen | Klicken Sie auf diese Schaltfläche, um eine ausgewählte Systemdatenquelle in der Liste Systemdatenquellen zu entfernen.
Konfigurieren | Klicken Sie auf diese Schaltfläche, um die Konfiguration einer ausgewählten Systemdatenquelle zu ändern. Das treiberspezifische Dialogfeld zum Einrichten der Datenquelle wird angezeigt, mit dem Sie die Konfiguration einer vorhandenen Systemdatenquelle ändern können. Vor dem Klicken auf die Schaltfläche Konfigurieren ist es erforderlich, in der Liste den Namen einer Systemdatenquelle auszuwählen.
OK | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Um Änderungen in der Liste Systemdatenquellen zu übernehmen, ist es nicht notwendig, auf OK zu klicken. Änderungen in der Liste werden übernommen, wenn Sie im Dialogfeld zum Einrichten der Datenquelle auf die Schaltfläche OK klicken.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator. Die Änderungen, die über andere Dialogfeld-Steuerelemente vorgenommen wurden, werden jedoch nicht rückgängig gemacht.
Hilfe | Zeigt diesen Hilfebildschirm an.


Registerkarte “Ablaufverfolgung”

Diese Registerkarte legt fest, wie der ODBC-Treiber-Manager die Ablaufverfolgung für Aufrufe von ODBC-Funktionen durchführt. Der Treiber-Manager kann die Ablaufverfolgung für Aufrufe fortlaufend oder nur für eine Verbindung durchführen. Die Ablaufverfolgung kann auch dynamisch oder von einer benutzerdefinierten DLL durchgeführt werden.

Steuerelement | Beschreibung
Ablaufverfolgung jetzt starten/Ablaufverfolgung jetzt anhalten (Umschaltfläche) | Aktiviert die fortlaufende dynamische Ablaufverfolgung, unabhängig davon, ob eine Verbindung besteht; die dynamische Ablaufverfolgung wird so lange durchgeführt, wie das Dialogfeld ODBC-Datenquellen-Administrator angezeigt wird oder bis Sie auf Ablaufverfolgung jetzt anhalten klicken.
Visual Studio Analyzer starten/Visual Studio Analyzer anhalten (Umschaltfläche) | Aktiviert Visual Studio Analyzer; dieser bleibt aktiviert, bis Sie auf Visual Studio Analyzer anhalten klicken. Mit Visual Studio Analyzer können Sie Ihre verteilte Anwendung debuggen und analysieren. Weitere Informationen zu Visual Studio Analyzer finden Sie in der MSDN Library.
Pfad der Protokolldatei | Zeigt den Pfad und den Dateinamen für die Speicherung der Ablaufverfolgungsinformationen an. Verwenden Sie den Standardpfad und -dateinamen (\sql.log), oder geben Sie eine neue Datei an, indem Sie entweder einen neuen Pfad und Dateinamen eingeben oder auf die Schaltfläche Durchsuchen klicken und ein Verzeichnis und eine Datei auswählen.
Durchsuchen | Ermöglicht die Auswahl des Pfades und des Dateinamens der Protokolldatei, indem die Verzeichnisse des Computers durchsucht werden.
Benutzerdefinierte Ablaufverfolgungs-DLL | Mit diesem Steuerelement kann eine DLL-Datei ausgewählt werden, die anstelle von Odbctrac.dll die Ablaufverfolgung durchführt. Geben Sie den Pfad und den Dateinamen der benutzerdefinierten DLL ein, oder klicken Sie auf die Schaltfläche DLL auswählen, um die Verzeichnisse nach der benutzerdefinierten DLL zu durchsuchen. Die Datei Odbctrac.dll, die mit dem MDAC-SDK ausgeliefert wird, kann durch eine benutzerdefinierte DLL ersetzt werden.
DLL auswählen | Ermöglicht dem Benutzer, die Verzeichnisstruktur nach einer benutzerdefinierten Ablaufverfolgungs-DLL zu durchsuchen. Der Pfad und der Dateiname der ausgewählten DLL werden dann im Textfeld Benutzerdefinierte Ablaufverfolgungs-DLL angezeigt.
OK | Übernimmt Änderungen der Einstellungen in Pfad der Protokolldatei und Benutzerdefinierte Ablaufverfolgungs-DLL und schließt das Dialogfeld ODBC-Datenquellen-Administrator.
Abbrechen | Schließt das Dialogfeld ODBC-Datenquellen-Administrator, ohne Änderungen an Einstellungen zu übernehmen.
Übernehmen | Übernimmt Änderungen an Einstellungen für die Ablaufverfolgung. Das Dialogfeld ODBC-Datenquellen-Administrator bleibt geöffnet.
Hilfe | Zeigt diesen Hilfebildschirm an.


Dialogfeld “Konvertierungsprogramm auswählen”

Das Dialogfeld Konvertierungsprogramm auswählen listet alle installierten Konvertierungs-DLLs auf und ermöglicht die Auswahl einer Konvertierungs-DLL, damit der Treiber Daten für die verschiedenen Zeichensätze konvertieren kann. Die Anwendung und die Datenquelle speichern Daten oft in verschiedenen Zeichensätzen. ODBC bietet einen allgemeinen Mechanismus, mit dem der Treiber Daten für die verschiedenen Zeichensätze konvertieren kann.

Nachdem Sie eine Konvertierungs-DLL angegeben haben, lädt der Treiber diese und ruft sie auf, um alle Daten, die zwischen der Anwendung und der Datenquelle übertragen werden, zu konvertieren. Dazu zählen alle SQL-Anweisungen und Zeichenparameter, die an die Datenquelle gesendet werden, sowie alle Zeichenergebnisse, Zeichenmetadaten wie Spaltennamen, und alle Fehlermeldungen die von der Datenquelle abgerufen werden. Verbindungsdaten werden nicht konvertiert, da die Konvertierungs-DLL erst geladen wird, nachdem die Anwendung eine Verbindung zur Datenquelle hergestellt hat.

Die Konvertierungs-DLL, die die Konvertierungsfunktionen SQLDriverToDataSource und SQLDataSourceToDriver implementiert, die vom Treiber aufgerufen werden, kann vom Anwendungsentwickler, Treiberentwickler oder einem Dritthersteller erstellt werden.

Weitere Informationen zu Konvertierungs-DLLs finden Sie in der ODBC Programmer's Reference.